THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-34722

Assignergoogle_android
Reserved2024-05-07
Published2024-07-09
Updated2024-07-12

Description

In smp_proc_rand of smp_act.cc, there is a possible authentication bypass during legacy BLE pairing due to incorrect implementation of a protocol. This could lead to remote escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation.

Problem types

Elevation of privilege

Product status

Default status
unaffected

14
affected

13
affected

12L
affected

12
affected

References

https://android.googlesource.com/platform/packages/modules/Bluetooth/+/456f705b9acc78d8184536baff3d21b0bc11c957

https://source.android.com/security/bulletin/2024-07-01

cve.org CVE-2024-34722

nvd.nist.gov CVE-2024-34722

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-34722
© Copyright 2024 THREATINT. Made in Cyprus with +